#!/bin/sh
appname=`basename $0 | sed s,\.sh$,,`

dirname=`dirname $0`
tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi
sed -i "s@^Icon=.*/@Icon=/@" "$dirname/$appname.desktop"
sed -i "s@^Icon=@Icon=$dirname/@"    "$dirname/$appname.desktop"

LD_LIBRARY_PATH="$dirname":"$dirname/lib":"$dirname/system"
if [ -z "$DISPLAY" ] ; then  export DISPLAY=:0 ; fi
cd "$dirname"
export FONTCONFIG_PATH="$dirname/system/fonts-conf"
#export QT_DEBUG_PLUGINS=1
export QT_QPA_EGLFS_PHYSICAL_WIDTH=320; export QT_QPA_EGLFS_PHYSICAL_HEIGHT=180
export QT_QPA_PLATFORM=xcb #eglfs
if xhost >& /dev/null ; then : ; else export QT_QPA_PLATFORM=eglfs ; fi
export LD_LIBRARY_PATH
$dirname/$appname "$@"